Extending Qt Creator Manual | MagicData

Extending Qt Creator Manual 4.7.1

# MagicData Class

(Core::Internal::MagicData)

- List of all members, including inherited members

## Public Functions

| MagicData()
| MagicData(int rule, int priority)
bool | operator!=(const Core::Internal::MagicData &other)
bool | operator==(const Core::Internal::MagicData &other)

## Static Public Members

int | normalizedMask(const int &)

## Member Function Documentation

### MagicData::MagicData()

Default constructs an instance of MagicData.

### MagicData::MagicData(int rule, int priority)

Default constructs an instance of MagicData.

### `[static]` int MagicData::normalizedMask(const int &)

### bool MagicData::operator!=(const Core::Internal::MagicData &other)

### bool MagicData::operator==(const Core::Internal::MagicData &other)